<h1 align=center> pyqtCuWi </h1>
<p>
  <img src="https://img.shields.io/badge/python-3.6%2B-informational?style=flat-square&logo=python">
  <img src="https://img.shields.io/badge/license-GPL%203.0-succes.svg?style=flat-square&logo=license">
  <img src="https://img.shields.io/badge/version-2.0.2-important?style=flat-square">
  <a href="https://pypi.org/project/pyqtCuWi/"><img src="https://img.shields.io/badge/pypi-pyqtCuWi-cyan?style=flat-square"></a>
  <a href="https://github.com/myygunduz/pyqtCuWi/issues"><img src="https://img.shields.io/github/issues/myygunduz/pyqtCuWi?style=flat-square&color=red"></a>
  <img src="https://img.shields.io/github/stars/myygunduz/pyqtCuWi?style=flat-square&color=yellow">
  <img src="https://img.shields.io/github/forks/myygunduz/pyqtCuWi?style=flat-square&color=white">
</p>


<h2>Use PIP To Download</h2>

```
pip install pyqtCuWi
```
OR
```
python -m pip install pyqtCuWi
```


<h2>Custom Widgets</h2>

|  ID | Name | Description | Example | Output Of Example | Last Update |
| :-: | :--: | :---------: | :-----: | :---------------: | :---------: |
|  1  | [Icon Button](https://github.com/myygunduz/pyqtCuWi/blob/main/documentation.md#iconbutton) | My first custom widget. To dynamically change the icon. | [Link](https://github.com/myygunduz/pyqtCuWi/blob/main/example/exampleOfIconButton.py) | ![Output](https://github.com/myygunduz/pyqtCuWi/blob/main/gifs/iconButton.gif?raw=true) | Aug 8, 2021 |
|  2  | [Rank Widget](https://github.com/myygunduz/pyqtCuWi/blob/main/documentation.md#rank-widget) | To sort names. | [Link](https://github.com/myygunduz/pyqtCuWi/blob/main/example/exampleOfRankWidget.py) | ![Output](https://github.com/myygunduz/pyqtCuWi/blob/main/gifs/rankWidget.gif?raw=true) | Aug 8, 2021 |
|  3  | [PopUp](https://github.com/myygunduz/pyqtCuWi/blob/main/documentation.md#pop-up) | To create a popup. | [Link](https://github.com/myygunduz/pyqtCuWi/blob/main/example/exampeOfPopUp%26OuterRadius.py) | ![Output](https://github.com/myygunduz/pyqtCuWi/blob/main/gifs/popUp.gif?raw=true) | Aug 8, 2021 |
|  4  | [OuterRadius](https://github.com/myygunduz/pyqtCuWi/blob/main/documentation.md#outer-radius) | Allows external radius to be added to both sides of a widget you want. | [Link](https://github.com/myygunduz/pyqtCuWi/blob/main/example/exampeOfPopUp%26OuterRadius.py) | ![Output](https://github.com/myygunduz/pyqtCuWi/blob/main/gifs/outerRadius.gif?raw=true) | Aug 8, 2021 |
|  5  | [Loading Screen](https://github.com/myygunduz/pyqtCuWi/blob/main/documentation.md#loading-screen) | A loading screen that appears before the main window. | [Link](https://github.com/myygunduz/pyqtCuWi/blob/main/example/exampleOfLoadingScreen.py) | ![Output](https://github.com/myygunduz/pyqtCuWi/blob/main/gifs/loadingScreen.gif?raw=true) | Aug 30, 2021 |
|  6  | [QFBoxLayout](https://github.com/myygunduz/pyqtCuWi/blob/main/documentation.md#qfboxlayout) | QFreeBoxLayout. Widget but its name is layout. To show widgets as scattered images. | [Link](https://github.com/myygunduz/pyqtCuWi/blob/main/example/exampleOfQFBoxLayout.py) | ![Output](https://github.com/myygunduz/pyqtCuWi/blob/main/gifs/QFBoxLayout.gif?raw=true) | Sep 3, 2021 |
|  7  | [Tag Area](https://github.com/myygunduz/pyqtCuWi/blob/main/documentation.md#tag-area) | A widget for tags. | [Link](https://github.com/myygunduz/pyqtCuWi/blob/main/example/exampleOfTagArea.py) | ![Output](https://github.com/myygunduz/pyqtCuWi/blob/main/gifs/tagArea.gif?raw=true) | Sep 4, 2021 |

<h2>License</h2>
<p><a href="https://github.com/myygunduz/pyqtCuWi/blob/main/LICENSE.txt">GPL v3.0</a> © Mücahit Yusuf Yasin Gündüz

<h1 align=center> Share This Repository </h1>
<table align='center'>
    <tr>
        <td>
            <a href="https://web.facebook.com/sharer.php?t=This%20repo%20is%20great,%20check%20it%20out&u=https://github.com/myygunduz/pyqtCuWi&_rdc=1&_rdr" >
                <img src="https://raw.githubusercontent.com/myygunduz/Badge-Link-Creater/abb80580a8eca89dd21c068c58f9b6a428ce61ca/Assets/icons/facebook.svg" height="48" width="48" alt="Facebook"/>
            </a>
        </td>
        <td>
            <a href="https://www.facebook.com/dialog/send?link=https://github.com/myygunduz/pyqtCuWi&app_id=291494419107518&redirect_uri=https://github.com/myygunduz/pyqtCuWi" >
                <img src="https://raw.githubusercontent.com/myygunduz/Badge-Link-Creater/abb80580a8eca89dd21c068c58f9b6a428ce61ca/Assets/icons/messenger.svg" height="48" width="48" alt="Facebook Messenger"/>
            </a>
        </td>
        <td>
            <a href="https://twitter.com/intent/tweet?text=This%20repo%20is%20great,%20check%20it%20out&url=https://github.com/myygunduz/pyqtCuWi" >
                <img src="https://raw.githubusercontent.com/myygunduz/Badge-Link-Creater/abb80580a8eca89dd21c068c58f9b6a428ce61ca/Assets/icons/twitter.svg" height="48" width="48" alt="Twitter"/>
            </a>
        </td>
        <td>
            <a href="https://web.whatsapp.com/send?text=This%20repo%20is%20great,%20check%20it%20out https://github.com/myygunduz/pyqtCuWi" >
                <img src="https://raw.githubusercontent.com/myygunduz/Badge-Link-Creater/abb80580a8eca89dd21c068c58f9b6a428ce61ca/Assets/icons/whatsapp.svg" height="48" width="48" alt="WhatsApp"/>
            </a>
        </td>
        <td>
            <a href="https://t.me/share/url?url=https://github.com/myygunduz/pyqtCuWi&text=GThis%20repo%20is%20great,%20check%20it%20out" >
                <img src="https://raw.githubusercontent.com/myygunduz/Badge-Link-Creater/abb80580a8eca89dd21c068c58f9b6a428ce61ca/Assets/icons/telegram.svg" height="48" width="48" alt="Telegram"/>
            </a>
        </td>
        <td>
            <a href="https://www.linkedin.com/shareArticle?title=This%20repo%20is%20great,%20check%20it%20out&url=https://github.com/myygunduz/pyqtCuWi" >
                <img src="https://raw.githubusercontent.com/myygunduz/Badge-Link-Creater/abb80580a8eca89dd21c068c58f9b6a428ce61ca/Assets/icons/linkedin.svg" height="48" width="48" alt="LinkedIn"/>
            </a>
        </td>
        <td>
            <a href="https://www.reddit.com/submit?title=This%20repo%20is%20great,%20check%20it%20out&url=https://github.com/myygunduz/pyqtCuWi" >
                <img src="https://raw.githubusercontent.com/myygunduz/Badge-Link-Creater/abb80580a8eca89dd21c068c58f9b6a428ce61ca/Assets/icons/reddit.svg" height="48" width="48" alt="Reddit"/>
            </a>
        </td>
    </tr>

</table>

